## organize 1.10.1

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = python3 -msphinx
SPHINXPROJ    = organize
SOURCEDIR     = .
BUILDDIR      = _build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

=== debian/changelog ===
organize (1.10.1-1) unstable; urgency=medium

  * Initial release. (Closes: #989639)

 -- Frédéric Bonnard <frediz@debian.org>  Fri, 04 Jun 2021 16:42:43 +0200

=== debian/control ===
Source: organize
Maintainer: Frédéric Bonnard <frediz@debian.org>
Section: utils
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-all,
               python3-appdirs,
               python3-colorama,
               python3-exifread,
               python3-pendulum,
               python3-simplematch,
               python3-sphinx,
               python3-yaml
Rules-Requires-Root: no
Standards-Version: 4.5.1
Homepage: https://github.com/tfeldmann/organize
Vcs-Git: https://salsa.debian.org/debian/organize.git
Vcs-Browser: https://salsa.debian.org/debian/organize

Package: organize
Architecture: all
Depends: python3-appdirs,
         python3-colorama,
         python3-exifread,
         python3-pendulum,
         python3-simplematch,
         python3-yaml,
         ${misc:Depends},
         ${python3:Depends}
Description: File management automation tool
 organize is a command line utility to automate file organization tasks.
 A list of folders containing files to organize are provided in a
 configuration file.
 A list of filters can be applied to those files : filtering can be done by
 file extension, last modified date, regular expressions and many more.
 And a list of actions will be applied to the filtered files : they can
 put them into the trash, move them into another folder and many more.

=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE=1

%:
	dh $@ --with python3

override_dh_auto_build:
	dh_auto_build
	cd docs && HOME=/tmp make man

override_dh_auto_clean:
	rm -fr docs/_build organize/filters/__pycache__ \
		organize/__pycache__ organize/actions/__pycache__
	dh_auto_clean

## organize 2.3.0

=== debian/changelog ===
organize (2.3.0-1) unstable; urgency=medium

  * Update to new upstream version 2.3.0.

 -- Frédéric Bonnard <frediz@debian.org>  Mon, 08 Aug 2022 14:23:15 +0200

organize (2.2.0-1) unstable; urgency=medium

  * Update to new upstream version 2.2.0.
  * Update packaging for 2.2.0
  * Bump Standards-Version to 4.6.1.0
  * Update d/copyright
  * Add man page generation with click-man
  * Add upstream metadata to debian/

 -- Frédéric Bonnard <frediz@debian.org>  Fri, 05 Aug 2022 17:03:31 +0200

=== debian/control ===
Source: organize
Maintainer: Frédéric Bonnard <frediz@debian.org>
Section: utils
Priority: optional
Build-Depends: click-man,
               debhelper-compat (= 13),
               dh-python,
               pybuild-plugin-pyproject,
               python3-all,
               python3-exifread,
               python3-fs,
               python3-jinja2,
               python3-poetry-core,
               python3-rich,
               python3-schema,
               python3-simplematch,
               python3-yaml
Rules-Requires-Root: no
Standards-Version: 4.6.1.0
Homepage: https://github.com/tfeldmann/organize
Vcs-Git: https://salsa.debian.org/debian/organize.git
Vcs-Browser: https://salsa.debian.org/debian/organize

Package: organize
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: File management automation tool
 organize is a command line utility to automate file organization tasks.
 A list of folders containing files to organize are provided in a
 configuration file.
 A list of filters can be applied to those files : filtering can be done by
 file extension, last modified date, regular expressions and many more.
 And a list of actions will be applied to the filtered files : they can
 put them into the trash, move them into another folder and many more.

=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE=1
export PYBUILD_AFTER_BUILD=PYTHONPATH={build_dir} HOME=/tmp click-man --target $(CURDIR) organize

%:
	dh $@ --with python3 --buildsystem=pybuild

## organize 2.4.0

=== debian/changelog ===
organize (2.4.0-1) unstable; urgency=medium

  * Update to new upstream version 2.4.0.
  * Update d/copyright detail
  * Add upstream testing
  * Add documentation

 -- Frédéric Bonnard <frediz@debian.org>  Mon, 09 Jan 2023 15:02:46 +0100

=== debian/control ===
--- 
+++ 
@@ -11,8 +11,10 @@
                python3-fs,
                python3-jinja2,
                python3-poetry-core,
+               python3-pytest,
                python3-rich,
                python3-schema,
+               python3-send2trash,
                python3-simplematch,
                python3-yaml
 Rules-Requires-Root: no

=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE=1
export PYBUILD_AFTER_BUILD=PYTHONPATH={build_dir} HOME=/tmp click-man --target $(CURDIR) organize
# test_filecontent needs textract lib which is not in debian, but organize can work without it
# test_trash seems to fail in a sbuild environment
export PYBUILD_TEST_ARGS=-k 'not test_filecontent and not test_trash'
export PYBUILD_BEFORE_TEST=cp -R {dir}/docs {build_dir}
export PYBUILD_AFTER_TEST=rm -fr {build_dir}/docs

%:
	dh $@ --with python3 --buildsystem=pybuild

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%organize-$1.tar.gz%" \
    https://github.com/tfeldmann/organize/tags \
    (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## organize 3.3.0

=== debian/changelog ===
organize (3.3.0-1.1) unstable; urgency=medium

  * Non-maintainer upload
  * New upstream version 3.3.0
  * d/control: Update for new upstream from pyproject.toml (Closes: #1080883, #1082579)
  * d/rules: Modernize for new upstream release
  * d/control: Bump S-V to 4.7.3; drop priority: optional and RRR
  * Drop d/manpages, d/clean; the package only has documentation now

 -- Matthias Geiger <werdahias@debian.org>  Fri, 02 Jan 2026 13:40:52 +0100

=== debian/control ===
Source: organize
Maintainer: Frédéric Bonnard <frediz@debian.org>
Section: utils
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 python3-all,
 pybuild-plugin-pyproject,
 python3-poetry-core,
 python3-arrow (>= 1.3.0-~~),
 python3-docopt-ng (>= 0.9.0-~~),
#python3-docx2txt (>= 0.8-~~),
 python3-exifread (>= 2.3.2-~~),
#check if this newer exif works
 python3-jinja2 (>= 3.1.2-~~),
 python3-natsort (>= 8.4.0-~~),
# should be 20231228
 python3-pdfminer,
 python3-platformdirs (>= 4.0.0-~~),
 python3-pydantic (>= 2.3.0-~~),
 python3-yaml (>= 6.0.0-~~),
 python3-rich (>= 13.4.2-~~),
 python3-send2trash (>= 1.8.2-~~),
# needs 1.4
 python3-simplematch (>= 1.3-~~),
 mkdocs (>= 1.5.3-~~) <!nodoc>,
 mkdocs-autorefs (>= 0.5.0-~~) <!nodoc>,
 mkdocs-include-markdown-plugin (>= 6.0.4-~~) <!nodoc>,
 mkdocstrings (>= 0.24.0-~~) <!nodoc>,
 python3-markupsafe (>= 2.0.1-~~) <!nodoc>,
 python3-coverage (>= 7.2.0-~~) <!nocheck>,
 python3-mypy (>= 1.4.0-~~) <!nocheck>,
 python3-pyfakefs (>= 5.3.1-~~) <!nocheck>,
 python3-pytest (>= 8.0.0-~~) <!nocheck>,
 python3-pytest-cov (>= 4.1.0-~~) <!nocheck>,
 python3-requests (>= 2.31.0-~~) <!nocheck>,
# python3-ruff (>= 0.8.0-~~) <!nocheck>,
# python3-types-pyyaml <!nocheck>
Standards-Version: 4.7.3
Homepage: https://github.com/tfeldmann/organize
Vcs-Git: https://salsa.debian.org/debian/organize.git
Vcs-Browser: https://salsa.debian.org/debian/organize

Package: organize
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: File management automation tool
 organize is a command line utility to automate file organization tasks.
 A list of folders containing files to organize are provided in a
 configuration file.
 A list of filters can be applied to those files : filtering can be done by
 file extension, last modified date, regular expressions and many more.
 And a list of actions will be applied to the filtered files : they can
 put them into the trash, move them into another folder and many more.

=== debian/rules ===
#!/usr/bin/make -f

# Needed to make tests pass
export PYBUILD_BEFORE_TEST=cp -R {dir}/docs {build_dir}
export PYBUILD_AFTER_TEST=rm -fr {build_dir}/docs

%:
	dh $@ --buildsystem=pybuild
